Get a list of procedures
get
/Procedure
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of procedures that meet the supplied query parameters.
- Provide exactly one of
_id,patient, orsubject. - Use
dateonly withpatientorsubject.
Request
Query Parameters
-
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_lastUpdated: string
The last updated date or range.
-
_revinclude: string
The inclusion of related Provenance resources whose target is a returned procedure.Allowed Values:
[ "Provenance:target" ] -
date: string
The performed date or range.
-
patient: string
The patient logical ID or
Patient/idreference. -
subject: string
Pattern:
^Patient/.+ThePatient/idsubject reference.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
total: integer
Minimum Value:
0 -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
Procedure
The US Core Procedure returned by read and search operations.
-
object
ProvenanceForProcedure
Additional Properties Allowed:
true -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : Procedure
Type:
objectThe US Core Procedure returned by read and search operations.
Show Source
-
_performedDateTime: object
PrimitiveElementForProcedure
-
basedOn: array
basedOn
-
category: object
CodeableConceptForProcedure
-
code(required): object
CodeableConceptForProcedure
-
encounter: object
ReferenceForProcedure
-
extension: array
extension
-
id(required): string
-
location: object
ReferenceForProcedure
-
meta: object
meta
-
note: array
note
-
performedDateTime: string
(date-time)
-
performedPeriod: object
Period
-
performer: array
performer
-
reasonReference: array
reasonReference
-
recorder: object
ReferenceForProcedure
-
resourceType(required): string
Allowed Values:
[ "Procedure" ] -
status(required): string
Allowed Values:
[ "completed", "entered-in-error" ] -
subject(required): object
ReferenceForProcedure
-
text: object
Narrative
Nested Schema : ProvenanceForProcedure
Type:
objectAdditional Properties Allowed:
Show Source
true-
resourceType(required): string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source